﻿#disclaimer{
    background-color: #7E9200;
    padding: 6px;
    border-radius: 9px;
    color: white;
    max-width: 580px;
    display: block;
    margin: auto;
    font-size: 11px;
}
#disclaimerContainer{
    width:100%;
    margin-bottom:70px;
}
html,body
{
    width: 100%;
    height:100%;
    margin: 0px;
    padding: 0px;
}
a {
   outline: 0 !important;
   color:black;
}
a:hover {
    color:#358E13;
}
.navbar {
    border:0px !important;
    margin-bottom: 0px !important;
}
.PageContent{
    padding-top: 10px;
}
.groupOptions{
    min-width: 270px;
    width: 90%;
}
#OptionsSubmit{
    padding: 10px 0px;
    background: #f5f5f5;
    border: 1px solid #dcd4d4;
    border-radius: 5px;
}
#NoDashboardStatus{
    text-align: center;
}
#NoDashboardStatus label{
    font-weight: normal;
    color:red;
}
#NoDashboardStatus a{
    font-weight: normal;
    color: black;
}
.SchedulingTableCon{
    max-height: 295px;
    overflow-y: auto;
}
/***********Dashboard**************/


.dropdown-submenu{
    position:relative;
}
.dropdown-submenu>.dropdown-menu{
    top:0;
    left:100%;
    max-width:180px;
    margin-top:-6px;
    margin-right:-1px;
    background-color: #222;
    border-color: #155e37;
    border-left: 0px;
}
.dropdown-submenu:hover>.dropdown-menu{
    display:block;

}
.dropdown-submenu:hover>a:after{
    border-left-color:#ffffff;
}
.dropdown-submenu.pull-left{
    float:none;
}
.dropdown-submenu.pull-left>.dropdown-menu{
    left:-100%;
    margin-left:10px;
}
.dropdown-menu-right {
    margin-left:0;
}
@-moz-document url-prefix() {
  fieldset { display: table-cell; }
}
/*Common Styles*/
.bootstrap-table{
    font-size: 13px !important;
}
/* IMPORTANT: this style must be applied so iOS phones can scroll the viewport when tapping inside bootstrap tables */
.fixed-table-body {
    -webkit-overflow-scrolling: touch;
}
/*Header size and colour*/
.header-container {
    /*height:130px;*/
}

.headerimage {
    padding:5px;
}
/*Full Width Container*/
.container-full {
    margin: 0 auto;
    width:100%;
}
/*Top Navbar*/
.navbar-xs {
    position: relative;
    min-height: 20px;
    margin-bottom: 0px;
    border: 1px solid transparent;
}
.navbar-nav-xs{
    min-height: 20px;
    height:20px
}
.navbar-xs .container{
    min-height: 20px;
    height:20px;
    padding-right: 15px;
    padding-left: 15px;
    margin-right: auto;
    margin-left: auto;
}

/*Breadcrum Container Margins.*/
.container{
    margin-right: auto;
    margin-left: auto;
}
/*Top Navbar margin and height*/
.top-navbar{
    margin: 0px;
    height: 20px;
}
/*User Dropdown*/
#navUserName:hover{
    cursor:pointer;
}
.userInfoList{
    width: 300px;
}
.userDropDown span{
    padding-top:2px;
}
#userDropDownImg{
    height:18px;
    padding:1px;
}
.messageNum{
    width:20px;
}
.messageInfo{
    width:350px;
}
#messageLbl{
    font-size: 12px;
    font-weight: normal;
}
li.userEdit{
    height:20px;
    width:auto;
}
.navbar-nav > li.userEdit > a.userEditLink{
    padding-top: 0px;
    padding-bottom: 0px;
    padding-left: 0px;
    padding-right: 0px;
}
.navbar-nav > li.userEdit > a.userLogoutLink{
    padding-top: 0px;
    padding-bottom: 0px;
    padding-left: 5px;
    padding-right: 0px;
}
.navbar-nav > li.userEdit > a.adminLogoutLink{
    padding-top: 0px;
    padding-bottom: 0px;
    padding-left: 5px;
    padding-right: 0px;
}
a.userLogoutLink, a.adminLogoutLink {
    text-decoration:none;
}
.dropdown-menu.adminInfoList {
    min-width:115px;
}
.inverse-dropdown{
  background-color: #222;
  border-color: #155e37;
}

.inverse-dropdown li a {
    color: #999;
}

.inverse-dropdown li a:hover {
    color: #fff;
    /*background-color: #000;*/
    background-color: #114B2C;
}

.inverse-dropdown divider {
    background-color: #000;
}
/*Admin Information Table*/
#adminInfoTbl{
    min-width: 108px;
    color:white;
    margin-left:5px;
}
/*User Information Link rows*/
#userInfoTbl > tbody > tr{
    height:20px;
}
.navbar-nav > li.userDropDownList > a.userEditLink, #messageLink{
    padding-top: 0px;
    padding-bottom: 0px;
    padding-right: 5px;
}
/*Message Link*/
#MessageStatus{
    max-width: 130px;
    padding-left: 5px;
    padding-right: 5px;
}
.not-active {
   pointer-events: none;
   cursor: default;
}
/*Farm information link image size and position*/
#userFarmInfoImg{
    width: 20px;
    height: 20px;
    margin:2px;
}
/*farm information link hover style*/
#userFarmInfoImg:hover{
    width: 24px;
    height: 24px;
    margin: 0px;
}
/*Admin farm input width*/
#adminFarmSelect{
    width: 100px;
}
.no-padding {
    margin-bottom:0 !important;
    padding:0 !important;
}
#logoutCon{
    width: 60px;
}
/*Sample select style*/
#sampleSel{
    max-width: 100px;
    padding-left: 5px;
    padding-right: 5px;
}
/*Farm select style*/
#FarmSel{
    max-width: 115px;
    padding-left: 5px;
    padding-right: 5px;
}
.FarmItem{
    text-overflow: ellipsis;
}
.span {
    display: inline-block;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    -o-text-overflow: ellipsis;
    width: 118px;
}
/*Loader style*/
.loaderCon{
    width: 50px;
    height:40px;
    padding: 0px;
    margin: 0px;
}
#loader{
    display:none;
    height:30px;
    width:30px;
    padding:0px;
    margin: 10px 5px;
    background-color: transparent !important;
}
img.loader{
    width: 30px;
    height: 30px;
}
.loginLoader{
    display:none;
    height:34px;
    width:34px;
    margin:auto;
    padding:0px;
    background-image: url(/Content/images/Win10Loader.gif);
    background-size: 34px !important;
}
.loginStatus:hover{
    cursor: default !important;
    background-color: transparent !important;
}
.PageStatus{
    margin-bottom: 5px;
    margin-top: 10px;
    padding-left: 0px;
}
.container .breadcrumb{
    display: inline-block;
    float: left;
    margin-right: 50px;
    margin-bottom: 0px;
    border-radius: 5px;
    padding: 2px 15px;
}
.breadcrumbCon{
    height: 24px;
    width: 100%;
}
.StatusCon{
    display:none;
    height: 24px;
    width: 100%;
    text-align: center;
}
.Status{
    height: 24px;
    width: auto;
    float: left;
}
.Status .alert{
    margin-bottom: 0px !important;
    padding: 1px 3px !important;

    display: table;
}
/*Text Colour for the selected tab -> Quick View, Results By Date and Payments.*/
.nav-tabs > li.active > a, .nav-tabs > li.active > a:hover, .nav-tabs > li.active > a:focus {
    color: #13C900;
}
/*The Page Content Container Styles*/
.page-content{
    padding-bottom:70px;
}
/*Table Toolbar*/
.fixed-table-toolbar .pull-right{
    margin-right: 10px !important;
}
/*Table bottom margin*/
.table {
    margin-bottom: 0px;
}
/*Table column time cell width*/
.cellWidthTime{
    margin-top: 60px;
    min-width: 60px;
    max-width: 60px;
}
/*Bootstrap table container radius*/
.fixed-table-container {
    -webkit-border-radius:0 !important;
}
.fixed-table-container thead th:first-child {
    border-top-left-radius:0 !important;
    -webkit-border-top-left-radius:0 !important;
}
/*Bootstrap Table Border Radius*/
.bootstrap-table {
    -webkit-border-radius: 0 !important;
}
/*Bootstrap table header right side border*/
.fixed-table-header{
    border-right: 1px solid #ddd !important;
}
/*Warning top margin*/
.warningMargin{
    margin-top: 60px;
}
/*Class for centering content*/
.RowContentCenter{
    text-align: center;
}
table.table-fixedheader>tbody {
    overflow-x:hidden;
    overflow-y: auto;
    max-height: 70vh;
    height: auto;
    display: block;
    padding-right: 20px;
}
.fixed-table-body-columns {
    width:auto;
}
/*Process bar container style*/
.progressCon{
    height:10px;
    width:100%;
    border-top: 1px solid white;
}
.progress{
    height:10px !important;
    border-radius: 0px !important;
}
/*********************************************************/
/*Login*/
#loginContent{
    margin: auto;
    max-width: 340px;
    margin-top: 20px;
}

/*********************************************************/
/*Results -> Quick View and Results By Date*/
.TabBorder{
    border-top: 1px solid #ddd !important;
    border-right: 1px solid #ddd !important;
    border-left: 1px solid #ddd !important;
}

.noOverflow {
    overflow: auto;
}
.ResultsTblLbls {
    Color:#6FBB4D;
    font-size:16px;
    font-weight:bold;
}
.ResultsWaringLbls{
    color: #f0ad4e;
}
.ui-datepicker-header {
    background: #6FBB4D;
    border: 1px solid #2A6B2A;
}
td.Comment:hover{
    color: blue;
    cursor: pointer;
}
/* Result alert classes (note matches ResultAlert enum names for easy use) */
.Advisory {
    /* Light brown */
    background-color: #CD853F !important;
}
.Altered {
    /* Light red */
    background-color: #FF9F9F !important;
}
.Average {
    /* Light orange */
    background-color: #FF8020 !important;
}
.Downgrade {
    /* Green */
    background-color: #80FF00 !important;
}
.HighVariance {
    /* Light yellow */
    background-color: #FFFF80 !important;
}
.LowVariance {
    /* Light blue */
    background-color: #80FFFF !important;
}                                                              
.Restricted {
    /* Purple */
    background-color: #C000C0 !important;
}
.Unofficial {
    background-color: brown;
}
.LegendSquare {
    display: inline-block;
    border:1px solid #000!important;
    height: 10px !important;
    width: 10px !important;
}
/*********************************************************/
/*Results -> Summary*/

#seasonLbl{
    padding: 0px;
    padding-left:8px;
    position: absolute;
    width: 167px;
}
.fixed-table-container tbody .cell-no-bordered{
    border-left:0px;
}
.fixed-table-container thead .cell-no-bordered{
    border-left:0px;
}
/*********************************************************/
/*Finance -> Document Request*/
#docRequestBtnCon{
    margin-top: 10px;
    text-align: center;
    height: 35px;
    margin-bottom: 60px;
}
#docRequestBtn{
    height: 35px;
}
.docForms{
    width:100%;
    margin-top: 5px;
}
.docForms .input-group{
    width:100%;
}
.docForms input{
    width:100%;
    height:34px
}
#documentRequestForm{
    margin-top: 5px;
}
/*********************************************************/
/*Information -> Edit*/

#FarmInfoPage table{
    margin-bottom: 10px;
    border-radius: 5px;
}
#farmInfoTblCon .bootstrap-table .fixed-table-toolbar{
    border: 0px;
}
#farmInfoTblCon{
    margin-bottom:20px;
}
.farmInfoTblHead1{
    width:110px;
}
.farmInfoTblHead2{
    text-align: center;
}

/*********************************************************/
/*Information -> Messages*/
.messages{
    margin-top: 10px;
    padding:5px;
    border: 1px solid rgb(106, 181, 23);
    border-radius: 5px;
    color: #525252;
}

/*********************************************************/
/*Information -> Portal Statisics*/

.selectedParamCon{
    width: 100%;
    max-width:140px;
}
#selectedSeasonsText{
    height: 40px;
}
#selectedTestsText{
    height: 60px;
}
#selectedTestsText, #selectedSeasonsText {
    width:100%;
    margin-bottom: 3px !important;
    background: #EEEEEE;
    border-radius: 4px;
    border: 1px solid #ccc;
}
/* Hide the up/down arrows on number fields */
input[type=number]::-webkit-outer-spin-button,
input[type=number]::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}
input[type=number] {
    -moz-appearance:textfield;
}
.contactFormAddon{
    min-width: 100px !important;
    text-align: left !important;
}
.contactFormInput{
    width: 100%;
}
.clearFix::after {
    content:"";
    display:block;
    clear:both;
}
.greyborder {
    border: 1px solid #eee !important;
}
.FarmContent .list-group-item.active{
    background-color: #5bc5e7;
    border:0px;
    color:white;
 }
.SquareDropdown {
    margin-top: 5px;
    margin-left:-5px;
    border-radius:0px !important;
    border-color:grey !important;
}
.SquareDropdown.dropdown-menu-right {
    margin-right:-5px;
    margin-left:0px !important;
}
.SquareDropdown > li > a:hover, .SquareDropdown > li > a:focus {
    background-color:#309cc0 !important;
}
/* emulates the look of the panel heading so panels and listgroups look consistent */
.list-group-heading {
    padding:20px 30px;
    margin-top:0px;
    background-color:#f5f5f5
}
#QVPageContent .tab-content,
#RBDPageContent .tab-content,
#PaymentsPageContent .tab-content,
.settingsTabsContent,
#ForecastDataTab,
#ForecastGraphTab{
    border-bottom: 1px solid #ddd;
    border-left: 1px solid #ddd;
    border-right: 1px solid #ddd;
}
.FarmContent{
    border: 1px solid #ddd;
    border-top: 0px;
}
.settingsTabsContent{
    height: auto !important;
    padding-top: 5px;
}
#ForecastDataTab{
    padding-top:5px;
}
.nav-tabs > li > a {
    border: 1px solid #ddd;
}
@media (max-width: 767px) {
    #contactsMenu {
        margin-left: 20px !important;
    }
    #optionssMenu {
        margin-left: -20px !important;
    }
}
@media (min-width: 768px) {
    #contactsMenu {
        margin-left: -22px !important;
    }
    #optionssMenu {
        margin-left: -22px !important;
    }
}
.cellWidthForecast{
    width: 81px;
    min-width:81px;
    max-width:81px;
}
.resultValue{
    text-align:right;
    min-width: 30px;
    width: 65px !important;
    padding: 5px;
}
.bootstrap-table .table > tbody > tr > td.no-padding {
    padding: 0 !important;
}
.no-wrap {
    white-space:nowrap;
}
.table-striped-collapse > tbody > tr:nth-of-type(4n-1){
    background-color:#f9f9f9;
}
.collapse-no-animation {
    -webkit-transition: none;
    transition: none;
    animation-duration:0;
}
.helpLinks {
}
#TblLegends{
    overflow:auto;
    background-color:white;
    height: 32px;
    border: 1px solid #ddd;
    padding:0px;
}
#CustomTabsCon{
    Width: 175px;
    float: right;
    margin-top: 5px;
    height: 20px;
    background: #5bc6e8;
    border-radius: 5px;
    margin-right:10px
}
#DisplayDailyAverageCon{
    Width:155px;
    float: left;
    background: #5bc6e8;
    border-radius: 5px;
    margin-top: 5px;
    margin-right:15px;
    margin-left:10px
}
#DisplayDailyAverageCon label{
    font-weight: normal;
    color: white;
    margin-bottom:0px;
}
#DisplayDailyAverageCon:hover{
    cursor:pointer;
}
#LegendCon{
    Width: calc(100% - 365px);
    float:left;
    min-width: 165px;
}
#LegendCon dl{
    margin: auto;
}
#SelectedSampleDisplay{
    text-transform: uppercase;
}
.ComparisonTable > thead > tr > th {
    background-color:transparent !important;
    color:black;
}
.no-clip-background {
    background-clip: padding-box;
}